# GmagickDraw::setfontstyle

(PECL gmagick >= Unknown)

GmagickDraw::setfontstyle — Sets the font style to use when annotating with text

### Description

public GmagickDraw::setfontstyle ( int `$style` ) : GmagickDraw

Sets the font style to use when annotating with text. The AnyStyle enumeration acts as a wild-card "don't care" option.

### Parameters

`style`

  Font style (NormalStyle, ItalicStyle, ObliqueStyle, AnyStyle)

### Return Values

The GmagickDraw object on success